/*
 * Copyright (C) 2000  Jesse E. Peterson
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 *
 */

package java.text;

/**
 * Implemented to support unsupported methods within TINI.
 */
public class FieldPosition extends Object
{
    int field;

    /**
     * Create a FieldPosition object for the given field. Fields are
     * identified by constants, whose names typically end with _FIELD, in
     * the various subclasses of Format.
     */
    public FieldPosition(int field)
    {
        this.field = field;
    }

    /**
     * Retrieve the field identifier.
     */
    public int getField()
    {
        return(field);
    }

    /**
     * Retrieve the index of the first character in the requested field.
     */
    public int getBeginIndex()
    {
        return(0);
    }

    /**
     * Retrieve the index of the character following the last character in
     * the requested field.
     */
    public int getEndIndex()
    {
        return(0);
    }
}
